## debbugs 2.6.0

=== html/logo/Makefile ===
#!/usr/bin/make -f

all: debbugs_logo.svg debbugs_logo_icon.png

## if you want to modify debbugs_logo.svg do the modifications to
## debbugs_logo_orig.svg, and then run make update_debbugs_logo and check the
## changes in.
update_debbugs_logo: debbugs_logo_orig.svg
	inkscape --without-gui \
	--export-text-to-path --export-plain-svg debbugs_logo.svg $<;

debbugs_logo_icon.png: debbugs_logo.svg
	inkscape --without-gui \
	--export-width 32 --export-height 32 \
	--export-background=white \
	--export-png $@ $<

=== debian/changelog ===
debbugs (2.6.0) unstable; urgency=medium

  [ Don Armstrong ]
  * Hack around elinks css bug (closes: #593804)
  * affects now appends packages by default (closes: #656371). Thanks to
    Andreas Beckmann and Julien Cristau.
  * Fix spacing in owner block (closes: #670411)
  * Fix double encoding issues (closes: #672432)
  * Fix encoding in cgi
  * Fix installation of templates (closes: #686928). Thanks to Mike
    Gabriel.
  * Only remove list headers if the message appears to have traversed a
    mailing list to get to us. (closes: #690408)
  * Fix lack of archive support in pkgindex.cgi.
  * Output notice to transcript when there is a malformed command.
    (closes: #691573). Thanks to Jonathan Nieder.
  * Fix failure to forcibly merge/merge when found/fixed is not qualified
    (closes: #670456). Thanks to Jonathan Nieder and Bernhard Schmidt.
  * Add libravatar support.
  * Fix double encoding of attachments (closes: #703300)
  * uri_escape e-mails in libravatar (closes: #728034). Thanks to Fabien
    Givors for pointing this out and providing a patch.
  * Fix title of $gBug (closes: #546383). Thanks to Jakub Wilk.
  * Support CVEs surrounded by parenthesis (closes: #662228). Thanks to
    Ari Pollak.
  * Add reply links to individual bug messages with headers (closes:
    #412815). Thanks to martin krafft, Paul Wise, and Julien Valroff.
  * Fix XSS in version.cgi, thanks to Vlad Constantin (Closes: #762967).
  * Add affects to bugreport.cgi package info header (Closes: #609687).
  * Stop URLs at &quot; too. Thanks to Vincent Lefevre (Closes: #766354).
  * Allow for more complicated selectors in user categories.
  * Support control at submit time. (Closes: #49228).
  * Add the limit command which constrains control@ (Closes: #208130).
  * Depend on libmime-tools-perl instead of libmime-perl. (Closes: #665001).
  * Fix SOAP module hack to work around Date/Time encoding which broke in
    newer versions of SOAP::Lite. (Closes: #785405)
  * Add patch to do singular/plural in error messages from Rafael.
    (Closes: #790716)
  * Fix (and test) setting summary/outlook in Control: messages (Closes:
    #836613).
  * Fix clone removing all other blocks instead of adding them (Closes:
    #820044). Thanks to James Clarke.
  * Use a supported version of debhelper and switch to dh $@ style rules
    (Closes: #800287)
  * debbugs-web now Breaks/Replaces debbugs (<< 2.4.2) (Closes: #717967)
  * Split source file properly (Closes: #858671). Thanks to James McCoy.
  * Prefix 'src:' to all source package names.
  * cdn.libravatar.org no longer sends Content-Type. Switch to verifying
    the content-type using libmagic instead (which we probably should have
    been doing from the beginning anyway). (Closes: #856991)
  * Reply sent messages (-forwarded and -done) are not informational messages.
    (Closes: #864725)
  * Pluralize singular tag and usertag in pseudoheaders (Closes: #861234).
    Thanks to James Clarke
  * Include link to the location of the debbugs source (Closes: #721569).
  * Add envelope_from configuration variable so sites can set a valid return
    path if the sendmail default is wrong. (Closes: #719205)
  * Fix links to merged and blocked bugs. (Closes: #539691)
  * Strip out Mail-Followup-To: (Closes: #798092)
  * Include references from the original message in replies. (Closes: #485697)
    Thanks to Julien Cristau
  * Use pass-through for rewrites of URLs to hide implementation (Closes:
    #871784) Thanks to Ridier 'OdyX' Raboud
  * Use foo <bar@baz.com> instead of bar@baz.com (foo) for From: (Closes:
    #881903). Thanks to Michael Stapelberg.
  * Add rel="canonical" links to bug pages (Closes: #890338). Thanks to Chris
    Lamb.
  * Fix blocks/blockedby of archived bugs (Closes: #892060). Thanks to Laurent Bigonville.
  * Provide informative error message when unarchive fails because the bug is
    not archived. (Closes: #892135). Thanks to Dan Jacobson.
  * Update standards version to 4.1.3; add Testsuite, fix Homepage and git repos
    links, update priority.

  [ Niels Thykier ]
  * quitcgi() now returns 400/500 status codes instead of 200 (Closes: #584922)

  [Thanks to Arnout Engelen: ]
  * Add Homepage (closes: #670555).
  * Fix VCS in control (closes: #670556).
  * Link to blocked bugs (closes: #670568).

  [ Mike Gabriel ]
  * /debian/control:
    + Add ${misc:Depends} to Depends.
  * /examples/apache.conf:
    - Assure in apache.conf example that documentation html pages get loaded
      (closes: #686943).
    - Rewrite rule example: http://<webhost>/<nnn> -> show bug report for
      bug <nnn>.
    - Be more generic, comment out rewrite rule that directly redirects
      http://<debbugs-webhost>/ to http://www.debian.org/Bugs.
    - Extend examples/apache.conf, add directory rules. Esp. allow Indexes to be
      overridden in /var/lib/debbugs/www/db to allow mod_expires apache
      configuration options in .htaccess.
  * Load bugs.css file in documentation html pages.
  * Fix sani function in scripts/errorlib. Generate html entities correctly
    (prepend ampersand, append semicolon).
  * Fix pkgindex.cgi concerning several issues: load proper Perl modules,
    replace usage of src_url and pkg_url by package_links, use
    html_tail from templates, use count_bugs everywhere, load bugs.css,
    fix global variable usage in html header (closes: #686940).
  * Add empty $gBugSubscriptionDomain variable to config file template.
  * Remove mailing list markers of the form [<list-name>] from the subject
    line to avoid duplication (and more) of the bug number when replying to
    bug postings.
  * Update postfix section in Readme.mail (closes: #688109).
  * Provide gStrongList configuration option in config file to make
    a site admin aware of its existence (closes: #688345).
  * Make sure that mails to gSubscriptionDomain and gBugSubscriptionDomain
    are only sent out if the variables in config are defined and
    have a length < 0 (closes: #688344).


=== debian/control ===
Source: debbugs
Section: misc
Priority: optional
Maintainer: Debbugs developers <debian-debbugs@lists.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>, Don Armstrong <don@debian.org>
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/debbugs-team/debbugs
Vcs-Git: https://salsa.debian.org/debbugs-team/debbugs.git
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: libparams-validate-perl,
 libmailtools-perl, libmime-tools-perl, libio-stringy-perl, libmldbm-perl,
 liburi-perl, libsoap-lite-perl, libcgi-simple-perl,
 libhttp-server-simple-perl, libtest-www-mechanize-perl,
 libmail-rfc822-address-perl, libsafe-hole-perl, libuser-perl,
 libconfig-simple-perl, libtest-pod-perl, liblist-allutils-perl,
# used by Debbugs::Libravatar and libravatar.cgi
 libfile-libmagic-perl, libgravatar-url-perl, libwww-perl, imagemagick,
 libtext-template-perl, graphviz, libtext-iconv-perl, libnet-server-perl,
# used to make the logo
 inkscape
Homepage: https://salsa.debian.org/debbugs-team
Testsuite: autopkgtest-pkg-perl

Package: debbugs
Architecture: all
Depends:
 ${perl:Depends},
 ${misc:Depends},
 exim4 | mail-transport-agent,
 libdebbugs-perl
Recommends: debbugs-web (>= 2.6~)
Suggests: spamassassin (>= 3.0), libcgi-alert-perl
Description: bug tracking system based on the active Debian BTS
 Debian has a bug tracking system which files details of bugs reported by
 users and developers. Each bug is given a number, and is kept on file until
 it is marked as having been dealt with. The system is mainly controlled by
 e-mail, but the bug reports can be viewed using the WWW.
 .
 This version is fully functional, but it does not automatically configure.
 See /usr/share/doc/debbugs/README.Debian after installation.
 .
 Note: there might be various issues with this package, caveat emptor.

Package: libdebbugs-perl
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends}, libmailtools-perl, ed, libmime-tools-perl,
 libio-stringy-perl, libmldbm-perl, liburi-perl, libsoap-lite-perl,
 libcgi-simple-perl, libparams-validate-perl, libtext-template-perl,
 libsafe-hole-perl, libmail-rfc822-address-perl, liblist-moreutils-perl,
 libtext-template-perl,
# used by Debbugs::Libravatar and libravatar.cgi
 libfile-libmagic-perl, libgravatar-url-perl, libwww-perl, imagemagick
Section: perl
Description: modules used by the active Debian BTS
 Debian has a bug tracking system which files details of bugs reported by
 users and developers. Each bug is given a number, and is kept on file until
 it is marked as having been dealt with. The system is mainly controlled by
 e-mail, but the bug reports can be viewed using the WWW.
 .
 This package contains the perl modules used by the bug tracking
 system, some of which may be suitable for custom scripts which
 interact with local debbugs mirrors.

Package: debbugs-web
Architecture: all
Depends:
 ${perl:Depends},
 ${misc:Depends},
 libdebbugs-perl, apache2 | httpd
Suggests: libcgi-alert-perl, libapache2-mod-perl2
Replaces: debbugs (<< 2.4.2)
Breaks: debbugs (<< 2.4.2)
Description: web scripts for the active Debian BTS
 Debian has a bug tracking system which files details of bugs reported by
 users and developers. Each bug is given a number, and is kept on file until
 it is marked as having been dealt with. The system is mainly controlled by
 e-mail, but the bug reports can be viewed using the WWW.
 .
 This package contains the cgi scripts necessary to view bugreports
 using the web.

Package: debbugs-local
Architecture: all
Depends:
 ${perl:Depends},
 ${misc:Depends},
 libdebbugs-perl, debbugs-web, libconfig-simple-perl,
 libuser-perl, rsync, libhttp-server-simple-perl, libnet-server-perl
Description: Run and maintains a local mirror of the Debian BTS
 Debian has a bug tracking system which files details of bugs reported
 by users and developers. Each bug is given a number, and is kept on
 file until it is marked as having been dealt with. The system is
 mainly controlled by e-mail, but the bug reports can be viewed using
 the WWW.
 .
 This package contains extra scripts necessary to create a local
 mirror of the Debian BTS and keep a local mirror up to date.

## debbugs 2.6.0ubuntu1

=== Makefile ===
# top-level Makefile for debbugs
# probably requires GNU make to run properly

sbin_dir	:= $(DESTDIR)/usr/sbin
etc_dir		:= $(DESTDIR)/etc/debbugs
var_dir		:= $(DESTDIR)/var/lib/debbugs
scripts_dir	:= $(DESTDIR)/usr/lib/debbugs
doc_dir		:= $(DESTDIR)/usr/share/doc/debbugs
templates_dir	:= $(DESTDIR)/usr/share/debbugs/templates
man_dir		:= $(DESTDIR)/usr/share/man
man8_dir	:= $(man_dir)/man8
examples_dir	:= $(doc_dir)/examples

scripts_in	= $(foreach script, $(filter-out scripts/config% scripts/errorlib scripts/text, $(wildcard scripts/*)),$(patsubst scripts/%,%,$(script)))
htmls_in	:= $(wildcard html/*.html.in)
cgis		:= $(wildcard cgi/*.cgi)

install_exec	:= install -m755 -p
install_data	:= install -m644 -p

PERL ?= /usr/bin/perl
# Some tests need to run under an UTF-8 locale.
UTF8_LOCALE ?= C.UTF-8

all: build

build:
	$(PERL) Makefile.PL
	$(MAKE) -f Makefile.perl
	$(MAKE) -C html/logo

test:
	LC_ALL=$(UTF8_LOCALE) $(PERL) -MTest::Harness -I. -e 'runtests(glob(q(t/*.t)))'

test_%: t/%.t
	LC_ALL=$(UTF8_LOCALE) $(PERL) -MTest::Harness -I. -e 'runtests(q($<))'

testcover:
	LC_ALL=$(UTF8_LOCALE) PERL5LIB=t/cover_lib/:. cover -test

clean:
	if [ -e Makefile.perl ]; then \
		$(MAKE) -f Makefile.perl clean; \
	fi;

install: install_mostfiles
	# install basic debbugs documentation
	$(install_data) COPYING UPGRADE.md README.md debian/README.mail $(doc_dir)
	$(MAKE) -f Makefile.perl install DESTDIR=$(DESTDIR)

install_mostfiles:
	# create the directories if they aren't there
	for dir in $(sbin_dir) $(etc_dir)/html $(etc_dir)/indices \
$(var_dir)/indices $(var_dir)/www/cgi $(var_dir)/www/db $(var_dir)/www/txt \
$(var_dir)/www/css \
$(var_dir)/spool/lock $(var_dir)/spool/archive $(var_dir)/spool/incoming \
$(var_dir)/spool/db-h $(scripts_dir) $(examples_dir) $(man8_dir); \
          do test -d $$dir || $(install_exec) -d $$dir; done

	# install the scripts
	$(foreach script,$(scripts_in), $(install_exec) scripts/$(script) $(scripts_dir);)
	$(install_data) scripts/errorlib $(scripts_dir)/errorlib

	# install examples
	$(install_data) examples/config $(examples_dir)/config
	$(install_data) examples/config.debian $(examples_dir)/config.debian
	$(install_data) scripts/text $(examples_dir)/text
	$(install_data) debian/crontab misc/nextnumber misc/Maintainers \
	  misc/Maintainers.override misc/pseudo-packages.description \
	  misc/sources $(examples_dir)
	$(install_data) examples/apache.conf $(examples_dir)

	# install the HTML pages etc
	$(foreach html, $(htmls_in), $(install_data) $(html) $(etc_dir)/html;)
	$(install_data) html/htaccess $(var_dir)/www/db/.htaccess
	$(install_data) html/bugs.css $(var_dir)/www/css/bugs.css
	$(install_data) html/logo/debbugs_logo_icon.png $(var_dir)/www/favicon.png

	# install the CGIs
	for cgi in $(cgis); do $(install_exec) $$cgi $(var_dir)/www/cgi; done

	# install debbugsconfig
	$(install_exec) debian/debbugsconfig $(sbin_dir)
	$(install_data) debian/debbugsconfig.8 $(man8_dir)
	# install migration tools
	$(install_exec) migrate/debbugs-dbhash $(sbin_dir)
	$(install_data) migrate/debbugs-dbhash.8 $(man8_dir)
	$(install_exec) migrate/debbugs-upgradestatus $(sbin_dir)

	# install the updateseqs file
	$(install_data) misc/updateseqs $(var_dir)/spool

	# install the templates
	$(foreach dir, $(wildcard templates/*/*), $(install_exec) -d $(templates_dir)/$(patsubst templates/%,%,$(dir));)
	$(foreach tmpl, $(wildcard templates/*/*/*.tmpl), $(install_data) $(tmpl) $(templates_dir)/$(patsubst templates/%,%,$(tmpl));)


.PHONY: test build

=== debian/changelog ===
debbugs (2.6.0ubuntu1) focal; urgency=medium

  * d/docs: Replace UPGRADE with UPGRADE.md to fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 06 Apr 2020 22:36:08 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: debbugs
 Section: misc
 Priority: optional
-Maintainer: Debbugs developers <debian-debbugs@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debbugs developers <debian-debbugs@lists.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>, Don Armstrong <don@debian.org>
 Standards-Version: 4.1.3
 Vcs-Browser: https://salsa.debian.org/debbugs-team/debbugs

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_auto_install:
	dh_auto_install -- INSTALLDIRS=vendor

## debbugs 2.6.3

=== Makefile ===
--- 
+++ 
@@ -45,7 +45,7 @@
 
 install: install_mostfiles
 	# install basic debbugs documentation
-	$(install_data) COPYING UPGRADE.md README.md debian/README.mail $(doc_dir)
+	$(install_data) UPGRADE.md README.md debian/README.mail $(doc_dir)
 	$(MAKE) -f Makefile.perl install DESTDIR=$(DESTDIR)
 
 install_mostfiles:

=== debian/changelog ===
debbugs (2.6.3) unstable; urgency=medium

  [ Bill Allombert ]
  * Debbugs/Config.pm: (closes: #1089557)
    - Fix spam_rules_dir default to /etc/spamassassin
    - add $gSpamRulesDir to 'globals' export list.
  * debian/control:
    - debbugs-local: Depends on libipc-run-perl. (closes: #607928)

  [ Mark Hindley ]
  * migrate/debbugs-upgradestatus:
    - fix correct error about missing optionnal fields. (closes: #644242)

  [ Tollef Fog Heen ]
  * Debbugs/Log.pm, ./scripts/expire:
    - Fix spelling of Colin Watson's name in copyright notice
      (closes: #615483)

 -- Bill Allombert <ballombe@debian.org>  Thu, 19 Dec 2024 11:35:39 +0100

debbugs (2.6.2) unstable; urgency=medium

  [ Bill Allombert ]
  * debian/control:
    - debbugs, debbugs-web Suggests:
      + Remove libcgi-alert-perl which does not exist anymore
    - libdebbugs-perl Depends:
      + Replace liblist-moreutils-perl by liblist-allutils-perl
      + Remove duplicate libtext-template-perl
      + Add libtext-iconv-perl
    - debbugs Depends:
      + Add lynx (closes: #698283)
    - Testsuite: autopkgtest-pkg-perl: removed. No chance to pass
      in the current state of the package.
  * debian/docs: update so that README.md is installed

  [ Don Armstrong ]
  * templates/en_US/html/pre_title.tmpl:
    - fix favicon (closes: #912186)

 -- Bill Allombert <ballombe@debian.org>  Tue, 12 Nov 2024 22:28:18 +0100

debbugs (2.6.1) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * Fix filename in install: UPGRADE -> UPGRADE.md (closes: #903413)

  [ Don Armstrong ]
  * Add support for a Done: pseudoheader (closes: #950133)
  * Fix unescaped From (closes: #983847)
  * Support 7 digit bugs in bugspam.cgi
  * Actually return message/rfc822 when there is a single message instead
    of mbox (closes: #1009181)
  * Include non-free-firmware; thanks to Cyril Brulebois for the patch
  * Fix missing escaping of comma in address fields (closes: #1041638)
  * Sort blocked-by (closes: #751808), thanks to Tim Landscheidt.
  * add WSDL contributed by Michael Albinus and Felix Lechner
  * Don't linkify trailing ; in bug messages (closes: #1076323), thanks to
    Blair Noctis.

  [ Chris Lamb ]
  * Don't print strange-looking "Usertags are now: ." message when removing all
    usertags.

  [ Paul Wise ]
  * Add support for setting usertags for multiple users in new bugs
    (closes: #582171)
  * Prevent usertags created at submit time from including invalid trailing
    chars
  * Use a checkbox and CSS to show info messages instead of JavaScript
  * Allow exporting of debbugs responses to mbox format when requested

  [ Bill Allombert ]
  * debian/control:
    - Build-Depends-Indep on libmail-message-perl for running the test-suite
    - Build-Depends on debhelper-compat (= 12)
    - debbugs-local Depends on sensible-utils
    - Update Standards-Version to 4.7.0
    - debbugs: Replace exim4 by default-mta in Depends
  * debian/compat: removed
  * Actually upload the package (closes: #477182, #1079842)
  * cgi/search.cgi, cgi/version.cgi:
    - Do not special-case merkel.debian.org

 -- Bill Allombert <ballombe@debian.org>  Mon, 11 Nov 2024 13:05:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,36 +1,36 @@
 Source: debbugs
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debbugs developers <debian-debbugs@lists.debian.org>
-Uploaders: Colin Watson <cjwatson@debian.org>, Don Armstrong <don@debian.org>
-Standards-Version: 4.1.3
+Maintainer: Debbugs developers <debian-debbugs@lists.debian.org>
+Uploaders: Colin Watson <cjwatson@debian.org>, Don Armstrong <don@debian.org>,
+           Bill Allombert <ballombe@debian.org>
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debbugs-team/debbugs
 Vcs-Git: https://salsa.debian.org/debbugs-team/debbugs.git
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper-compat (=12)
 Build-Depends-Indep: libparams-validate-perl,
  libmailtools-perl, libmime-tools-perl, libio-stringy-perl, libmldbm-perl,
  liburi-perl, libsoap-lite-perl, libcgi-simple-perl,
  libhttp-server-simple-perl, libtest-www-mechanize-perl,
  libmail-rfc822-address-perl, libsafe-hole-perl, libuser-perl,
  libconfig-simple-perl, libtest-pod-perl, liblist-allutils-perl,
+ libmail-message-perl,
 # used by Debbugs::Libravatar and libravatar.cgi
  libfile-libmagic-perl, libgravatar-url-perl, libwww-perl, imagemagick,
  libtext-template-perl, graphviz, libtext-iconv-perl, libnet-server-perl,
 # used to make the logo
  inkscape
 Homepage: https://salsa.debian.org/debbugs-team
-Testsuite: autopkgtest-pkg-perl
 
 Package: debbugs
 Architecture: all
 Depends:
  ${perl:Depends},
  ${misc:Depends},
- exim4 | mail-transport-agent,
+ default-mta | mail-transport-agent, lynx,
  libdebbugs-perl
 Recommends: debbugs-web (>= 2.6~)
-Suggests: spamassassin (>= 3.0), libcgi-alert-perl
+Suggests: spamassassin (>= 3.0)
 Description: bug tracking system based on the active Debian BTS
  Debian has a bug tracking system which files details of bugs reported by
  users and developers. Each bug is given a number, and is kept on file until
@@ -49,8 +49,8 @@
  ${perl:Depends}, libmailtools-perl, ed, libmime-tools-perl,
  libio-stringy-perl, libmldbm-perl, liburi-perl, libsoap-lite-perl,
  libcgi-simple-perl, libparams-validate-perl, libtext-template-perl,
- libsafe-hole-perl, libmail-rfc822-address-perl, liblist-moreutils-perl,
- libtext-template-perl,
+ libsafe-hole-perl, libmail-rfc822-address-perl, liblist-allutils-perl,
+ libmail-message-perl, libtext-iconv-perl,
 # used by Debbugs::Libravatar and libravatar.cgi
  libfile-libmagic-perl, libgravatar-url-perl, libwww-perl, imagemagick
 Section: perl
@@ -70,7 +70,7 @@
  ${perl:Depends},
  ${misc:Depends},
  libdebbugs-perl, apache2 | httpd
-Suggests: libcgi-alert-perl, libapache2-mod-perl2
+Suggests: libapache2-mod-perl2
 Replaces: debbugs (<< 2.4.2)
 Breaks: debbugs (<< 2.4.2)
 Description: web scripts for the active Debian BTS
@@ -87,8 +87,9 @@
 Depends:
  ${perl:Depends},
  ${misc:Depends},
- libdebbugs-perl, debbugs-web, libconfig-simple-perl,
- libuser-perl, rsync, libhttp-server-simple-perl, libnet-server-perl
+ libdebbugs-perl, debbugs-web, libconfig-simple-perl, libipc-run-perl,
+ libuser-perl, rsync, libhttp-server-simple-perl, libnet-server-perl,
+ sensible-utils
 Description: Run and maintains a local mirror of the Debian BTS
  Debian has a bug tracking system which files details of bugs reported
  by users and developers. Each bug is given a number, and is kept on

## debbugs 2.6.4

=== Makefile ===
--- 
+++ 
@@ -10,6 +10,7 @@
 man_dir		:= $(DESTDIR)/usr/share/man
 man8_dir	:= $(man_dir)/man8
 examples_dir	:= $(doc_dir)/examples
+config_dir	:= $(DESTDIR)/usr/share/debbugs/examples
 
 scripts_in	= $(foreach script, $(filter-out scripts/config% scripts/errorlib scripts/text, $(wildcard scripts/*)),$(patsubst scripts/%,%,$(script)))
 htmls_in	:= $(wildcard html/*.html.in)
@@ -54,7 +55,7 @@
 $(var_dir)/indices $(var_dir)/www/cgi $(var_dir)/www/db $(var_dir)/www/txt \
 $(var_dir)/www/css \
 $(var_dir)/spool/lock $(var_dir)/spool/archive $(var_dir)/spool/incoming \
-$(var_dir)/spool/db-h $(scripts_dir) $(examples_dir) $(man8_dir); \
+$(var_dir)/spool/db-h $(scripts_dir) $(examples_dir) $(config_dir) $(man8_dir); \
           do test -d $$dir || $(install_exec) -d $$dir; done
 
 	# install the scripts
@@ -65,6 +66,11 @@
 	$(install_data) examples/config $(examples_dir)/config
 	$(install_data) examples/config.debian $(examples_dir)/config.debian
 	$(install_data) scripts/text $(examples_dir)/text
+
+	$(install_data) examples/config scripts/text misc/Maintainers \
+	  misc/Maintainers.override misc/pseudo-packages.description \
+	  misc/sources misc/nextnumber $(config_dir)
+
 	$(install_data) debian/crontab misc/nextnumber misc/Maintainers \
 	  misc/Maintainers.override misc/pseudo-packages.description \
 	  misc/sources $(examples_dir)

=== html/logo/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	--export-text-to-path --export-plain-svg debbugs_logo.svg $<;
 
 debbugs_logo_icon.png: debbugs_logo.svg
-	inkscape --without-gui \
+	inkscape  \
 	--export-width 32 --export-height 32 \
 	--export-background=white \
-	--export-png $@ $<
+	--export-type=png --export-filename=$@ $<

=== debian/changelog ===
debbugs (2.6.4) unstable; urgency=medium

  [ Kentaro Hayashi ]
  * README.md: fix typo splool for spool.

  [ Akbarkhon Variskhanov ]
  * html_tail.tmpl: Use full license name. (closes: #1025834)

  [ Bill Allombert ]
  * debian/control:
    - Move to debhelper-compat (=13).
    - Set Rules-Requires-Root: no
  * Move template files for debbugsconfig to /usr/share/debbugs/example.
    (closes: #1090997)
  * debian/debbugsconfig:
    - Use install instead of cp.

  [ John Lightsey ]
  * debian/debbugsconfig:
    - Create /etc/debbugs/indices/ if needed (closes: #592117)

  [ Don Armstrong ]
  * Fix missing binary maintainers in pkgreport

 -- Bill Allombert <ballombe@debian.org>  Mon, 24 Feb 2025 18:41:48 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Uploaders: Colin Watson <cjwatson@debian.org>, Don Armstrong <don@debian.org>,
            Bill Allombert <ballombe@debian.org>
 Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debbugs-team/debbugs
 Vcs-Git: https://salsa.debian.org/debbugs-team/debbugs.git
-Build-Depends: debhelper-compat (=12)
+Build-Depends: debhelper-compat (=13)
 Build-Depends-Indep: libparams-validate-perl,
  libmailtools-perl, libmime-tools-perl, libio-stringy-perl, libmldbm-perl,
  liburi-perl, libsoap-lite-perl, libcgi-simple-perl,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- INSTALLDIRS=vendor

## debbugs 2.6.4build1

=== debian/changelog ===
debbugs (2.6.4build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 16 Jan 2026 19:48:19 +0000
